

%%% stratagems

\newcommand{\stratagemstablearraystretch}{2}

\newcommand{\startstratagemstable}{%
	\DTLifdbexists{stratagemslist}{\DTLcleardb{stratagemslist}}{\DTLnewdb{stratagemslist}}% Create new/discard old list
	\vspace*{\parskip}%
	\renewcommand{\arraystretch}{\stratagemstablearraystretch}%
	\begin{center}\begin{tabular}{>{\bfseries}rm{10cm}}%
	\toprule%
}

\newcommand{\closestratagemstable}{%
	\DTLsort*{sortlabel}{stratagemslist}% Sort list
	\DTLforeach*{stratagemslist}{\name=name,\ruletext=ruletext}{%
		\textbf{\name}&\ruletext{}\DTLiflastrow{}{\tabularnewline}%
	}
	\tabularnewline\bottomrule%
	\end{tabular}\end{center}%
	\vspace*{\parskip}%
	\DTLcleardb{stratagemslist}%
}

\newcommand{\addstratagem}[2]{%
	\DTLnewrow{stratagemslist}%
	\pdfstringdef\textwithoutformatting{#1}%
	\pdfsubstitute\textwithoutformatting{'}{}%
	\pdfsubstitute\textwithoutformatting{ }{}%
	\dolanguagespecificsubstitute{}%
	\def\DTLentrycommand{\DTLnewdbentry{stratagemslist}{sortlabel}}%
	\expandafter\DTLentrycommand\expandafter{\textwithoutformatting}%
	\DTLnewdbentry{stratagemslist}{name}{#1}%
	\DTLnewdbentry{stratagemslist}{ruletext}{#2}%
}

%%% Bureaucracy

\newcommand{\ministriestablearraystretch}{2}

\newcommand{\startministriestable}{%
	\DTLifdbexists{ministrieslist}{\DTLcleardb{ministrieslist}}{\DTLnewdb{ministrieslist}}% Create new/discard old list
	\vspace*{\parskip}%
	\renewcommand{\arraystretch}{\ministriestablearraystretch}%
	\begin{center}\begin{tabular}{>{\bfseries}rm{10cm}}%
	\toprule%
}

\newcommand{\closeministriestable}{%
	\DTLsort*{sortlabel}{ministrieslist}% Sort list
	\DTLforeach*{ministrieslist}{\name=name,\ruletext=ruletext}{%
		\textbf{\name}&\ruletext{}\DTLiflastrow{}{\tabularnewline}%
	}
	\tabularnewline\bottomrule%
	\end{tabular}\end{center}%
	\vspace*{\parskip}%
	\DTLcleardb{ministrieslist}%
}

\newcommand{\addministry}[2]{%
	\DTLnewrow{ministrieslist}%
	\pdfstringdef\textwithoutformatting{#1}%
	\pdfsubstitute\textwithoutformatting{'}{}%
	\pdfsubstitute\textwithoutformatting{ }{}%
	\dolanguagespecificsubstitute{}%
	\def\DTLentrycommand{\DTLnewdbentry{ministrieslist}{sortlabel}}%
	\expandafter\DTLentrycommand\expandafter{\textwithoutformatting}%
	\DTLnewdbentry{ministrieslist}{name}{#1}%
	\DTLnewdbentry{ministrieslist}{ruletext}{#2}%
}

%%% Retinue

\newcommand{\retinueprofile}{%
	\setlength{\textwidth}{\textwidth-9pt}%
	\greytextcolor{\rule{\textwidth}{0.5pt}}\DTLpar%
	\vspace*{-5pt}%
	\startcharacteristicstable{}%
	\hspace*{3pt}
	\ChLab{\OffensiveCharacteristics{}}&%
	{\ChLab{\AttackValueInitials}}&%
	{\ChLab{\OffensiveSkillInitials}}&%
	{\ChLab{\StrengthInitials}}& %
	{\ChLab{\ArmourPenetrationInitials}}&%
	{\ChLab{\AgilityInitials}}&%
	{\ChLab{\ModelRules}}%
	\tabularnewline%
	\nameindent\retinue{}%
	&%
	{\ChVal{1}}&%
	{\ChVal{3}}&%
	{\ChVal{3}}&%
	{\ChVal{0}}&%
	{\ChVal{3}}&%
	\strut{}%
	\tabularnewline%
	\end{tabular}%
}